summaryrefslogtreecommitdiffstats
path: root/build.sh
diff options
context:
space:
mode:
authorMatthias Schiffer <mschiffer@universe-factory.net>2021-09-16 17:33:38 +0200
committerMatthias Schiffer <mschiffer@universe-factory.net>2021-09-25 14:15:22 +0200
commit6ebfbbb4f11c032f0c3fee3aab9cfb30ce717ea6 (patch)
tree0457dbf0eaf4aeeaa1b55437cd7778ce50ce781e /build.sh
parent7835d1f007353883f5e4b7d75eaa6083dd5f1bc2 (diff)
downloadbootstrap-6ebfbbb4f11c032f0c3fee3aab9cfb30ce717ea6.tar
bootstrap-6ebfbbb4f11c032f0c3fee3aab9cfb30ce717ea6.zip
Add build helpers
Diffstat (limited to 'build.sh')
-rwxr-xr-xbuild.sh15
1 files changed, 15 insertions, 0 deletions
diff --git a/build.sh b/build.sh
new file mode 100755
index 0000000..9ca49f0
--- /dev/null
+++ b/build.sh
@@ -0,0 +1,15 @@
+#!/bin/sh
+
+set -e
+
+cd "$(dirname "$0")"
+
+trap 'rm -rf tmp' EXIT
+rm -rf tmp
+
+buildah bud -t rebel-rootfs --squash
+buildah push rebel-rootfs dir:tmp
+buildah rmi rebel-rootfs
+
+digest="$(jq -r '.layers[0].digest' <tmp/manifest.json | cut -d: -f2)"
+mv -f "tmp/$digest" rootfs.tar.gz